Bug 500940 - virt-manager should delete failed guest images
virt-manager should delete failed guest images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-14 21:26 EDT by Jens Petersen
Modified: 2010-06-16 13:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: virt-manager-0.8.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 13:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-14 21:26:12 EDT
Description of problem:
Not infrequently there is a problem setting up a guest and this leaves an empty unused guest image lying around.
I think it would be better for virt-manager to ask if it is ok to reuse an ununsed guest image rather than
always just create a new one.

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-4.fc11

How reproducible:
everytime

Steps to Reproduce:
1. install "myguest" from autofs'ed net iso image
2. retry
3. retry
  
Actual results:
1. images/myguest.img
2. images/myguest-1.img
3. images/myguest-2.img

Expected results:
1. no images/myguest.img
2. or maybe "There is already an myguest.img which is not owned by any guests.  Would you like to use it?"
3. ditto

Additional info:
Currently new v-m will waste a lot of diskspace with orphaned disk images from aborted guests.
Comment 1 Cole Robinson 2010-03-03 18:54:04 EST
I went with your #2 suggestion, offer to reuse and existing disk image if no other guests are using it:

http://hg.fedorahosted.org/hg/virt-manager/rev/a42fc22785af

Probably also a good idea to offer a way to clean up created storage, but haven't messed with that yet.
Comment 2 Bug Zapper 2010-03-15 08:36:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-05-27 16:59:47 EDT
virt-manager-0.8.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/virt-manager-0.8.4-1.fc13
Comment 4 Fedora Update System 2010-05-28 14:08:58 EDT
virt-manager-0.8.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.4-1.fc13
Comment 5 Fedora Update System 2010-06-16 13:51:21 EDT
virt-manager-0.8.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.